Bug 505043 - Unable to use sipie due to errors in BeautifulSoup's handling of URLs.
Unable to use sipie due to errors in BeautifulSoup's handling of URLs.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-BeautifulSoup (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 09:38 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.7a-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-19 09:40:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2009-06-10 09:38:53 EDT
Description of problem:
The version of BeautifulSoup for F10 worked properly, while the version for F11 breaks on the same codebase for Sipie.

Version-Release number of selected component (if applicable):
(mcpierce@mcpierce-laptop:sipie)$ rpm -q python-BeautifulSoup
python-BeautifulSoup-3.1.0.1-3.fc11.noarch

How reproducible:
100%

Steps to Reproduce:
1. Checkout sipie: svn co http://sipie.svn.sourceforge.net/svnroot/sipie
2. Attempt to run it by executing the sipie.py module (requires valid Sirius account)
  
Actual results:
Exception is thrown and app exits. (see output below)

Expected results:
Channel prompt should be shown to the user.

Additional info:
Output from running the app:
(mcpierce@mcpierce-laptop:sipie)$ sirius
/home/mcpierce/bin/sipie/Sipie/Config.py:12: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5
Traceback (most recent call last):
  File "./sipie.py", line 22, in <module>
    Sipie.cliPlayer()
  File "/home/mcpierce/bin/sipie/Sipie/cliPlayer.py", line 74, in cliPlayer
    completer = Completer(sipie.getStreams())
  File "/home/mcpierce/bin/sipie/Sipie/Factory.py", line 374, in getStreams
    streams = self.tryGetStreams()
  File "/home/mcpierce/bin/sipie/Sipie/Factory.py", line 298, in tryGetStreams
    soup = BeautifulSoup(data)
  File "/usr/lib/python2.6/site-packages/BeautifulSoup.py", line 1499, in __init__
    BeautifulStoneSoup.__init__(self, *args, **kwargs)
  File "/usr/lib/python2.6/site-packages/BeautifulSoup.py", line 1230, in __init__
    self._feed(isHTML=isHTML)
  File "/usr/lib/python2.6/site-packages/BeautifulSoup.py", line 1263, in _feed
    self.builder.feed(markup)
  File "/usr/lib64/python2.6/HTMLParser.py", line 108, in feed
    self.goahead(0)
  File "/usr/lib64/python2.6/HTMLParser.py", line 148, in goahead
    k = self.parse_starttag(i)
  File "/usr/lib64/python2.6/HTMLParser.py", line 226, in parse_starttag
    endpos = self.check_for_whole_start_tag(i)
  File "/usr/lib64/python2.6/HTMLParser.py", line 301, in check_for_whole_start_tag
    self.error("malformed start tag")
  File "/usr/lib64/python2.6/HTMLParser.py", line 115, in error
    raise HTMLParseError(message, self.getpos())
HTMLParser.HTMLParseError: malformed start tag, at line 440, column 42
Comment 1 Nicolas Chauvet (kwizart) 2009-06-10 11:37:25 EDT
There is known problems with the version in F-11 as explained in:
http://www.crummy.com/software/BeautifulSoup/3.1-problems.html

I was aware of the note from the developer.But unfortunately, the update was already there. According that Sipie was not in Fedora repository, I Haven't forwared the upstream notes to the related maintainer of packages using python-BeautifulSoup.

Reverting to the F-10 version (using Epoch), in progress...
Comment 2 Fedora Update System 2009-06-10 13:20:36 EDT
python-BeautifulSoup-3.0.7a-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-BeautifulSoup-3.0.7a-1.fc11
Comment 3 Fedora Update System 2009-06-15 22:07:06 EDT
python-BeautifulSoup-3.0.7a-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-BeautifulSoup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6302
Comment 4 Fedora Update System 2009-06-19 09:40:26 EDT
python-BeautifulSoup-3.0.7a-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.